curl --request PUT \
--url https://api.boostgpt.co/v1/bot/workflow/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"name": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"trigger_type": "<string>",
"trigger_event": "<string>",
"trigger_config": {},
"conditions": [
{}
],
"actions": [
{}
],
"is_active": true,
"status": "<string>"
}
'{
"workflow": {
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"trigger_type": "<string>",
"trigger_event": "<string>",
"trigger_config": {},
"conditions": [
{}
],
"actions": [
{}
],
"is_active": true,
"status": "<string>"
}
}Update an automation workflow.
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/workflow/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"name": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"trigger_type": "<string>",
"trigger_event": "<string>",
"trigger_config": {},
"conditions": [
{}
],
"actions": [
{}
],
"is_active": true,
"status": "<string>"
}
'{
"workflow": {
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"trigger_type": "<string>",
"trigger_event": "<string>",
"trigger_config": {},
"conditions": [
{}
],
"actions": [
{}
],
"is_active": true,
"status": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
Use this file to discover all available pages before exploring further.
Enter your API key
Success
Show child attributes
Was this page helpful?